<?php 
class controller_block_profile extends block {
	public function action_index() {
		$user = $this->get_global_data('user');
		
		if ($user && isset($this->url['params']['action']) && $this->url['params']['action'] == 'logout') {

			if (isset($_SESSION['auth'])) unset($_SESSION['auth']);
			if (isset($_SESSION['login'])) unset($_SESSION['login']);
			if (isset($_SESSION['access'])) unset($_SESSION['access']);
			
			$this->redirect(SITE_URL);
		}
		
		
		$component_forum = $this->get_component_info('forum');
		$component_users = $this->get_component_info('users');
		
		if (!$component_forum && !$component_users) {
			return $this->page;
		}
		
		if ($component_forum) {
			$this->data['href_login'] = SITE_URL . '/' . $component_forum['url'] . '/login';
			$this->data['href_register'] = SITE_URL . '/' . $component_forum['url'] . '/register';
		} else {
			$this->data['href_login'] = SITE_URL . '/' . $component_users['url'] . '/login';
			$this->data['href_register'] = SITE_URL . '/' . $component_users['url'] . '/register';
		}
		
		$this->data['user'] = $user;
		$this->data['href_logout'] = SITE_URL . '/action=logout';
		
		$this->page['html'] = $this->load_view();
		return $this->page;
	}
	
	
}