<?php 
if (USER_CMS_VERSION < 2.3) {
	$this->data['errors'] = 'Для корректной работы компонента обновите UserCMS до версии 2.3 или более новой';
}

$this->load_model('component', 'modules_manager');

$success_msg = '';

$block_profile_data = array(
	'name' => 'Профиль пользователя',
	'type' => 'block',
	'version' => '1.0',
	'dir'     => 'profile',
	'description' => 'Блок для регистрации и входа на сайт'
);

if ($this->model_component_modules_manager->install_module($block_profile_data)) {
	$success_msg .= 'Блок "Профиль пользователя" успешно установлен.<br>' ;
}

$sql = 'BEGIN;
CREATE TABLE "forum_topics" (
  "topic_id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "name" text NOT NULL,
  "text" text NOT NULL,
  "url" text NOT NULL,
  "user_id" integer NOT NULL,
  "date_add" integer NOT NULL
);

CREATE TABLE "forum_posts" (
  "post_id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "topic_id" integer NOT NULL,
  "user_id" integer NOT NULL,
  "text" text NOT NULL,
  "date_add" integer NOT NULL
);
COMMIT;';

if ($this->dbh->exec($sql)) {
	$success_msg .= 'Компонент "Форум" успешно установлен. Для использования компонента необходимо его <a href="' . SITE_URL . '/admin/components_manager/activate' . '">активировать</a>';
}

if ($success_msg) {
	$this->data['message'] = $success_msg;	
} else {
	$this->data['errors'] = 'В ходе установки произошла ошибка';
}

 ?>